package com.kingdee.eas.custom.permissioncontrol;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PermApplyBillOrgScopeApplyCollection extends AbstractObjectCollection 
{
    public PermApplyBillOrgScopeApplyCollection()
    {
        super(PermApplyBillOrgScopeApplyInfo.class);
    }
    public boolean add(PermApplyBillOrgScopeApplyInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PermApplyBillOrgScopeApplyCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PermApplyBillOrgScopeApplyInfo item)
    {
        return removeObject(item);
    }
    public PermApplyBillOrgScopeApplyInfo get(int index)
    {
        return(PermApplyBillOrgScopeApplyInfo)getObject(index);
    }
    public PermApplyBillOrgScopeApplyInfo get(Object key)
    {
        return(PermApplyBillOrgScopeApplyInfo)getObject(key);
    }
    public void set(int index, PermApplyBillOrgScopeApplyInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PermApplyBillOrgScopeApplyInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PermApplyBillOrgScopeApplyInfo item)
    {
        return super.indexOf(item);
    }
}